{
  buildGoModule,
  fetchFromGitHub,
}:
buildGoModule rec {
  pname = "kueuectl";
  version = "0.16.3";

  src = fetchFromGitHub {
    owner = "kubernetes-sigs";
    repo = "kueue";
    rev = "v${version}";
    hash = "sha256-JbU+ZoQ+YriaiIbbVCe45OTYycxYRanLhmQAdpE+xQ4=";
  };

  vendorHash = null;

  subPackages = [ "cmd/kueuectl" ];
}
